%define	module	HTTP-Body
%define	name	perl-%{module}
%define version 1.02
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	HTTP Body Parser
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/HTTP/%{module}-%{version}.tar.gz
BuildRequires:  perl(YAML)
BuildRequires:  perl(HTTP::Headers)
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
Perl module to parse HTTP request bodies.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/HTTP/Body/*
%{perl_vendorlib}/HTTP/Body.pm
%{_mandir}/man3/*



%changelog
* Thu Feb 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2008.1
+ Revision: 175982
- new version

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2008.1
+ Revision: 174661
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.9-1mdv2008.0
+ Revision: 20161
- 0.9


* Thu Jan 19 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-1mdk
- New release 0.6
- Add BuildRequire
- Fix source url
- use mkrel

* Sat Dec 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.5-1mdk
- Initial MDV package

